get_filename_component(prefix "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)
# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/xapian" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(prefix "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

SET(exec_prefix "${prefix}")
SET(XAPIAN_SHARED ON CACHE BOOL "Use shared xapian library")
SET(XAPIAN_SHARED_LIBRARY "${exec_prefix}/lib32/libxapian.so" CACHE FILEPATH "Shared Xapian library")
SET(XAPIAN_STATIC_LIBRARY "${exec_prefix}/lib32/libxapian.a" CACHE FILEPATH "Static Xapian library")
SET(XAPIAN_STATIC_DEP_LIBS ";uuid;z" CACHE STRING "Dependencies of static xapian library")
IF(XAPIAN_SHARED)
    SET(XAPIAN_LIBRARIES "${XAPIAN_SHARED_LIBRARY}")
ELSE()
    SET(XAPIAN_LIBRARIES "${XAPIAN_STATIC_LIBRARY};${XAPIAN_STATIC_DEP_LIBS}")
ENDIF()
SET(XAPIAN_INCLUDE_DIR "${prefix}/include" CACHE PATH "Include path for Xapian")
SET(XAPIAN_FOUND ON)
